Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.cpp	(revision 1185)
@@ -441,7 +441,4 @@
 #if H_3D_VSP
   DisInfo DvInfo; 
-#if !SEC_ARP_REM_ENC_RESTRICT_K0035
-  DvInfo.bDV = false;
-#endif
   DvInfo.m_acNBDV.setZero();
   DvInfo.m_aVIdxCan = 0;
@@ -589,9 +586,5 @@
           if (rpcTempCU->getSlice()->getIsDepth() )
           {
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
             rpcTempCU->getDispforDepth(0, 0, &DvInfo);
-#else
-            DvInfo.bDV = rpcTempCU->getDispforDepth(0, 0, &DvInfo);
-#endif
           }
           else
@@ -600,16 +593,8 @@
 #if H_3D_NBDV_REF
           if( rpcTempCU->getSlice()->getDepthRefinementFlag() )
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
             rpcTempCU->getDisMvpCandNBDV(&DvInfo, true);
-#else
-            DvInfo.bDV = rpcTempCU->getDisMvpCandNBDV(&DvInfo, true);
-#endif
           else
 #endif 
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
             rpcTempCU->getDisMvpCandNBDV(&DvInfo);
-#else
-            DvInfo.bDV = rpcTempCU->getDisMvpCandNBDV(&DvInfo);
-#endif
 
 #if H_3D_IV_MERGE
@@ -730,5 +715,5 @@
     }
 #endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
     rpcTempCU->initEstData( uiDepth, iMinQP, isAddLowestQP  );
     if( rpcBestCU->getSlice()->getDepthIntraSkipFlag() )
@@ -737,13 +722,4 @@
       rpcTempCU->initEstData( uiDepth, iMinQP, isAddLowestQP  );
     }
-#else
-#if H_3D_SINGLE_DEPTH
-    rpcTempCU->initEstData( uiDepth, iMinQP, isAddLowestQP  );
-    if( rpcBestCU->getSlice()->getIntraSingleFlag() )
-    {
-      xCheckRDCostSingleDepth( rpcBestCU, rpcTempCU, SIZE_2Nx2N );
-      rpcTempCU->initEstData( uiDepth, iMinQP, isAddLowestQP  );
-    }
-#endif
 #endif
     if(!earlyDetectionSkipMode)
@@ -1058,9 +1034,9 @@
           // speedup for inter frames
           if( rpcBestCU->getSlice()->getSliceType() == I_SLICE || 
-              rpcBestCU->getCbf( 0, TEXT_LUMA     ) != 0   ||
-              rpcBestCU->getCbf( 0, TEXT_CHROMA_U ) != 0   ||
-              rpcBestCU->getCbf( 0, TEXT_CHROMA_V ) != 0     
+            rpcBestCU->getCbf( 0, TEXT_LUMA     ) != 0   ||
+            rpcBestCU->getCbf( 0, TEXT_CHROMA_U ) != 0   ||
+            rpcBestCU->getCbf( 0, TEXT_CHROMA_V ) != 0     
 #if H_3D_DIM_ENC
-              || rpcBestCU->getSlice()->getIsDepth()
+            || rpcBestCU->getSlice()->getIsDepth()
 #endif
             ) // avoid very complex intra if it is unlikely
@@ -1068,24 +1044,18 @@
 #if H_3D_DIM
             Bool bOnlyIVP = false;
-#if TICKET083_IVPFLAG_FIX
             Bool bUseIVP = true;
-#endif
             if( rpcBestCU->getSlice()->getIsDepth() && !(rpcBestCU->getSlice()->isIRAP()) && 
-                rpcBestCU->getSlice()->getSliceType() != I_SLICE && 
-                rpcBestCU->getCbf( 0, TEXT_LUMA     ) == 0 &&
-                rpcBestCU->getCbf( 0, TEXT_CHROMA_U ) == 0 &&
-                rpcBestCU->getCbf( 0, TEXT_CHROMA_V ) == 0 
+              rpcBestCU->getSlice()->getSliceType() != I_SLICE && 
+              rpcBestCU->getCbf( 0, TEXT_LUMA     ) == 0 &&
+              rpcBestCU->getCbf( 0, TEXT_CHROMA_U ) == 0 &&
+              rpcBestCU->getCbf( 0, TEXT_CHROMA_V ) == 0 
               )
             { 
               bOnlyIVP = true;
-#if TICKET083_IVPFLAG_FIX
               bUseIVP = rpcBestCU->getSlice()->getIntraContourFlag();
-#endif
             }
-#if TICKET083_IVPFLAG_FIX
             if( bUseIVP )
             {
-#endif
-            xCheckRDCostIntra( rpcBestCU, rpcTempCU, SIZE_2Nx2N, bOnlyIVP );
+              xCheckRDCostIntra( rpcBestCU, rpcTempCU, SIZE_2Nx2N, bOnlyIVP );
 #else
             xCheckRDCostIntra( rpcBestCU, rpcTempCU, SIZE_2Nx2N );
@@ -1120,8 +1090,8 @@
 #endif
             }
-#if TICKET083_IVPFLAG_FIX
+#if H_3D
           }
 #endif
-          }
+        }
         // test PCM
         if(pcPic->getSlice(0)->getSPS()->getUsePCM()
@@ -1607,24 +1577,13 @@
     return;
   }
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_pcEntropyCoder->encodeDIS( pcCU, uiAbsPartIdx );
   if(!pcCU->getDISFlag(uiAbsPartIdx))
-  {
-#else
-#if H_3D_SINGLE_DEPTH
-  m_pcEntropyCoder->encodeSingleDepthMode( pcCU, uiAbsPartIdx );
-  if(!pcCU->getSingleDepthFlag(uiAbsPartIdx))
-  {
-#endif
-#endif
+#endif
+  {
   m_pcEntropyCoder->encodePredMode( pcCU, uiAbsPartIdx );
   
   m_pcEntropyCoder->encodePartSize( pcCU, uiAbsPartIdx, uiDepth );
   
-#if !HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-  m_pcEntropyCoder->encodeSDCFlag( pcCU, uiAbsPartIdx, false );
-#endif
-#endif
   if (pcCU->isIntra( uiAbsPartIdx ) && pcCU->getPartitionSize( uiAbsPartIdx ) == SIZE_2Nx2N )
   {
@@ -1632,9 +1591,7 @@
     if(pcCU->getIPCMFlag(uiAbsPartIdx))
     {
-#if HHI_MOVE_SYN_K0052
 #if H_3D_DIM_SDC
       m_pcEntropyCoder->encodeSDCFlag( pcCU, uiAbsPartIdx, false );
 #endif  
-#endif
       // Encode slice finish
       finishCU(pcCU,uiAbsPartIdx,uiDepth);
@@ -1645,10 +1602,8 @@
   // prediction Info ( Intra : direction mode, Inter : Mv, reference idx )
   m_pcEntropyCoder->encodePredInfo( pcCU, uiAbsPartIdx );
-#if HHI_MOVE_SYN_K0052
   m_pcEntropyCoder->encodeDBBPFlag( pcCU, uiAbsPartIdx );
 #if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( pcCU, uiAbsPartIdx, false );
 #endif  
-#endif
 #if H_3D_ARP
   m_pcEntropyCoder->encodeARPW( pcCU , uiAbsPartIdx );
@@ -1665,10 +1620,6 @@
 #endif
   setdQPFlag( bCodeDQP );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-  }
-#else
-#if H_3D_SINGLE_DEPTH
-  }
-#endif
+#if H_3D
+  }
 #endif
   // --- write terminating bit ---
@@ -1889,9 +1840,5 @@
 #if H_3D_ARP
   Int nARPWMax = rpcTempCU->getSlice()->getARPStepNum() - 1;
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   if( nARPWMax < 0 || bICFlag )
-#else
-  if( nARPWMax < 0 || !rpcTempCU->getDvInfo(0).bDV || bICFlag )
-#endif
   {
     nARPWMax = 0;
@@ -2059,10 +2006,6 @@
 
           rpcTempCU->setSkipFlagSubParts( rpcTempCU->getQtRootCbf(0) == 0, 0, uhDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
           rpcTempCU->setDISFlagSubParts( false, 0, uhDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-          rpcTempCU->setSingleDepthFlagSubParts( false, 0, uhDepth );
-#endif
 #endif
 #if H_3D_VSP // possible bug fix
@@ -2105,10 +2048,6 @@
               }
               rpcTempCU->setSkipFlagSubParts( false, 0, uhDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
               rpcTempCU->setDISFlagSubParts( false, 0, uhDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-              rpcTempCU->setSingleDepthFlagSubParts( false, 0, uhDepth );
-#endif
 #endif
               rpcTempCU->setTrIdxSubParts( 0, 0, uhDepth );
@@ -2233,9 +2172,5 @@
   Bool bFirstTime = true;
   Int nARPWMax    = rpcTempCU->getSlice()->getARPStepNum() - 1;
-#if SEC_ARP_REM_ENC_RESTRICT_K0035
   if( nARPWMax < 0 || ePartSize != SIZE_2Nx2N || rpcTempCU->getICFlag(0) )
-#else
-  if( nARPWMax < 0 || ePartSize != SIZE_2Nx2N || !rpcTempCU->getDvInfo(0).bDV || rpcTempCU->getICFlag(0) )
-#endif
   {
     nARPWMax = 0;
@@ -2263,10 +2198,6 @@
   
   rpcTempCU->setSkipFlagSubParts( false, 0, uhDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   rpcTempCU->setDISFlagSubParts( false, 0, uhDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  rpcTempCU->setSingleDepthFlagSubParts( false, 0, uhDepth );
-#endif
 #endif
   rpcTempCU->setPartSizeSubParts  ( ePartSize,  0, uhDepth );
@@ -2377,10 +2308,6 @@
       }
       rpcTempCU->setSkipFlagSubParts( false, 0, uhDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       rpcTempCU->setDISFlagSubParts( false, 0, uhDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-      rpcTempCU->setSingleDepthFlagSubParts( false, 0, uhDepth );
-#endif
 #endif
       rpcTempCU->setTrIdxSubParts( 0, 0, uhDepth );
@@ -2492,5 +2419,4 @@
 }
 
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
 Void TEncCu::xCheckRDCostDIS( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, PartSize eSize )
 {
@@ -2564,73 +2490,4 @@
   xCheckBestMode(rpcBestCU, rpcTempCU, uiDepth);
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TEncCu::xCheckRDCostSingleDepth( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, PartSize eSize )
-{
-  UInt uiDepth = rpcTempCU->getDepth( 0 );
-  if( !rpcBestCU->getSlice()->getIsDepth() || (eSize != SIZE_2Nx2N))
-  {
-    return;
-  }
-  
-#if H_3D_VSO // M5
-  if( m_pcRdCost->getUseRenModel() )
-  {
-    UInt  uiWidth     = m_ppcOrigYuv[uiDepth]->getWidth   ();
-    UInt  uiHeight    = m_ppcOrigYuv[uiDepth]->getHeight  ();
-    Pel*  piSrc       = m_ppcOrigYuv[uiDepth]->getLumaAddr();
-    UInt  uiSrcStride = m_ppcOrigYuv[uiDepth]->getStride  ();
-    m_pcRdCost->setRenModelData( rpcTempCU, 0, piSrc, uiSrcStride, uiWidth, uiHeight );
-  }
-#endif
-
-  rpcTempCU->setSkipFlagSubParts( false, 0, uiDepth );
-  rpcTempCU->setPartSizeSubParts( SIZE_2Nx2N, 0, uiDepth );
-  rpcTempCU->setPredModeSubParts( MODE_INTRA, 0, uiDepth );
-  rpcTempCU->setCUTransquantBypassSubParts( rpcTempCU->getCUTransquantBypass(0), 0, uiDepth );
-
-  rpcTempCU->setTrIdxSubParts(0, 0, uiDepth);
-  rpcTempCU->setCbfSubParts(0, 1, 1, 0, uiDepth);
-  rpcTempCU->setSingleDepthFlagSubParts(true, 0, uiDepth);
-  rpcTempCU->setLumaIntraDirSubParts (DC_IDX, 0, uiDepth);
-#if H_3D_DIM_SDC
-  rpcTempCU->setSDCFlagSubParts( false, 0, uiDepth);
-#endif
-
-  UInt uiPreCalcDistC;
-  m_pcPredSearch  ->estIntraPredSingleDepth      ( rpcTempCU, m_ppcOrigYuv[uiDepth], m_ppcPredYuvTemp[uiDepth], m_ppcResiYuvTemp[uiDepth], m_ppcRecoYuvTemp[uiDepth], uiPreCalcDistC, false );
-
-
-  m_ppcRecoYuvTemp[uiDepth]->copyToPicLuma(rpcTempCU->getPic()->getPicYuvRec(), rpcTempCU->getAddr(), rpcTempCU->getZorderIdxInCU() );
-  
- 
-  m_pcEntropyCoder->resetBits();
-  if ( rpcTempCU->getSlice()->getPPS()->getTransquantBypassEnableFlag())
-  {
-    m_pcEntropyCoder->encodeCUTransquantBypassFlag( rpcTempCU, 0,          true );
-  }
-  m_pcEntropyCoder->encodeSkipFlag ( rpcTempCU, 0,          true );
-  m_pcEntropyCoder->encodeSingleDepthMode( rpcTempCU, 0,          true );
-  
-
-  m_pcRDGoOnSbacCoder->store(m_pppcRDSbacCoder[uiDepth][CI_TEMP_BEST]);
-  
-  rpcTempCU->getTotalBits() = m_pcEntropyCoder->getNumberOfWrittenBits();
-  rpcTempCU->getTotalBins() = ((TEncBinCABAC *)((TEncSbac*)m_pcEntropyCoder->m_pcEntropyCoderIf)->getEncBinIf())->getBinsCoded();
-
-
-#if H_3D_VSO // M6
-  if( m_pcRdCost->getUseLambdaScaleVSO())  
-    rpcTempCU->getTotalCost() = m_pcRdCost->calcRdCostVSO( rpcTempCU->getTotalBits(), rpcTempCU->getTotalDistortion() );  
-  else
-#endif
-  rpcTempCU->getTotalCost() = m_pcRdCost->calcRdCost( rpcTempCU->getTotalBits(), rpcTempCU->getTotalDistortion() );
- 
-
-  xCheckDQP( rpcTempCU );
-  xCheckBestMode(rpcBestCU, rpcTempCU, uiDepth);
-}
-#endif
-#endif
 
 Void TEncCu::xCheckRDCostInterDBBP( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, Bool bUseMRG )
@@ -2675,5 +2532,4 @@
   AOF( uiDepthStride != 0 );
   
-#if HS_DBBP_CLEAN_K0048
   PartSize eVirtualPartSize = m_pcPredSearch->getPartitionSizeFromDepth(pDepthPels, uiDepthStride, uiWidth, rpcTempCU);
 
@@ -2681,11 +2537,4 @@
   Bool pMask[MAX_CU_SIZE*MAX_CU_SIZE];
   Bool bValidMask = m_pcPredSearch->getSegmentMaskFromDepth(pDepthPels, uiDepthStride, uiWidth, uiHeight, pMask, rpcTempCU);
-#else
-  PartSize eVirtualPartSize = m_pcPredSearch->getPartitionSizeFromDepth(pDepthPels, uiDepthStride, uiWidth);
-  
-  // derive segmentation mask from depth
-  Bool pMask[MAX_CU_SIZE*MAX_CU_SIZE];
-  Bool bValidMask = m_pcPredSearch->getSegmentMaskFromDepth(pDepthPels, uiDepthStride, uiWidth, uiHeight, pMask);
-#endif
   
   if( !bValidMask )
@@ -2796,10 +2645,6 @@
 
   rpcTempCU->setSkipFlagSubParts( false, 0, uiDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   rpcTempCU->setDISFlagSubParts( false, 0, uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  rpcTempCU->setSingleDepthFlagSubParts( false, 0, uiDepth );
-#endif
 #endif
   rpcTempCU->setPartSizeSubParts( eSize, 0, uiDepth );
@@ -2820,9 +2665,5 @@
   
 #if H_3D_DIM_SDC
-#if 0 // H_3D_DISABLE_CHROMA
-  if( !rpcTempCU->getSDCFlag( 0 ) && !rpcTempCU->getSlice()->getIsDepth() )
-#else
   if( !rpcTempCU->getSDCFlag( 0 ) )
-#endif
 #endif
   m_pcPredSearch  ->estIntraPredChromaQT( rpcTempCU, m_ppcOrigYuv[uiDepth], m_ppcPredYuvTemp[uiDepth], m_ppcResiYuvTemp[uiDepth], m_ppcRecoYuvTemp[uiDepth], uiPreCalcDistC );
@@ -2834,28 +2675,15 @@
   }
   m_pcEntropyCoder->encodeSkipFlag ( rpcTempCU, 0,          true );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_pcEntropyCoder->encodeDIS( rpcTempCU, 0,          true );
   if(!rpcTempCU->getDISFlag(0))
   {
-#else
-#if H_3D_SINGLE_DEPTH
-  m_pcEntropyCoder->encodeSingleDepthMode( rpcTempCU, 0,          true );
-  if(!rpcTempCU->getSingleDepthFlag(0))
-  {
-#endif
 #endif
   m_pcEntropyCoder->encodePredMode( rpcTempCU, 0,          true );
   m_pcEntropyCoder->encodePartSize( rpcTempCU, 0, uiDepth, true );
-#if !HHI_MOVE_SYN_K0052
+  m_pcEntropyCoder->encodePredInfo( rpcTempCU, 0,          true );
+  m_pcEntropyCoder->encodeIPCMInfo(rpcTempCU, 0, true );
 #if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
-#endif
-#endif
-  m_pcEntropyCoder->encodePredInfo( rpcTempCU, 0,          true );
-  m_pcEntropyCoder->encodeIPCMInfo(rpcTempCU, 0, true );
-#if HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-  m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
-#endif
 #endif
 
@@ -2870,10 +2698,6 @@
 
   setdQPFlag( bCodeDQP );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
-  }
-#else
-#if H_3D_SINGLE_DEPTH
-  }
-#endif
+#if H_3D
+  }
 #endif
   m_pcRDGoOnSbacCoder->store(m_pppcRDSbacCoder[uiDepth][CI_TEMP_BEST]);
@@ -2904,10 +2728,6 @@
 
   rpcTempCU->setSkipFlagSubParts( false, 0, uiDepth );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   rpcTempCU->setDISFlagSubParts( false, 0, uiDepth );
-#else
-#if H_3D_SINGLE_DEPTH
-  rpcTempCU->setSingleDepthFlagSubParts( false, 0, uiDepth );
-#endif
 #endif
   rpcTempCU->setIPCMFlag(0, true);
@@ -2927,23 +2747,12 @@
   }
   m_pcEntropyCoder->encodeSkipFlag ( rpcTempCU, 0,          true );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_pcEntropyCoder->encodeDIS( rpcTempCU, 0,          true );
-#else
-#if H_3D_SINGLE_DEPTH
-  m_pcEntropyCoder->encodeSingleDepthMode( rpcTempCU, 0,          true );
-#endif
 #endif
   m_pcEntropyCoder->encodePredMode ( rpcTempCU, 0,          true );
   m_pcEntropyCoder->encodePartSize ( rpcTempCU, 0, uiDepth, true );
-#if !HHI_MOVE_SYN_K0052
+  m_pcEntropyCoder->encodeIPCMInfo ( rpcTempCU, 0, true );
 #if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
-#endif
-#endif
-  m_pcEntropyCoder->encodeIPCMInfo ( rpcTempCU, 0, true );
-#if HHI_MOVE_SYN_K0052
-#if H_3D_DIM_SDC
-  m_pcEntropyCoder->encodeSDCFlag( rpcTempCU, 0, true );
-#endif
 #endif
   m_pcRDGoOnSbacCoder->store(m_pppcRDSbacCoder[uiDepth][CI_TEMP_BEST]);
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncCu.h	(revision 1185)
@@ -159,10 +159,6 @@
   Void  xCheckRDCostInterDBBP( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, Bool bUseMRG = false );
 #endif
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void  xCheckRDCostDIS   ( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, PartSize ePartSize  );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void  xCheckRDCostSingleDepth   ( TComDataCU*& rpcBestCU, TComDataCU*& rpcTempCU, PartSize ePartSize  );
-#endif
 #endif
 #if H_3D_DIM
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.cpp	(revision 1185)
@@ -111,6 +111,5 @@
   m_pcEntropyCoderIf->codeSkipFlag( pcCU, uiAbsPartIdx );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TEncEntropy::encodeDIS( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
 {
@@ -125,21 +124,5 @@
   m_pcEntropyCoderIf->codeDIS( pcCU, uiAbsPartIdx );
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TEncEntropy::encodeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
-{
-  if(!pcCU->getSlice()->getIntraSingleFlag() )
-  {
-    return;
-  }
-  if( bRD )
-  {
-    uiAbsPartIdx = 0;
-  }
-  m_pcEntropyCoderIf->codeSingleDepthMode( pcCU, uiAbsPartIdx );
-}
-#endif
-#endif
-
+#endif
 /** encode merge flag
  * \param pcCU
@@ -271,12 +254,4 @@
   m_pcEntropyCoderIf->codePartSize( pcCU, uiAbsPartIdx, uiDepth );
   
-#if !HHI_MOVE_SYN_K0052
-#if H_3D_DBBP
-  if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && (pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_Nx2N) && pcCU->getWidth(uiAbsPartIdx) > 8 && pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
-  {
-    encodeDBBPFlag(pcCU, uiAbsPartIdx, bRD);
-  }
-#endif
-#endif
 }
 
@@ -904,5 +879,4 @@
 Void TEncEntropy::encodeDBBPFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD )
 {
-#if HHI_MOVE_SYN_K0052
   if( pcCU->getSlice()->getDepthBasedBlkPartFlag() && 
     ( pcCU->getPartitionSize(uiAbsPartIdx) == SIZE_2NxN || 
@@ -911,5 +885,4 @@
       pcCU->getSlice()->getDefaultRefViewIdxAvailableFlag() )
   {
-#endif
     if( bRD )
     {
@@ -917,7 +890,5 @@
     }
     m_pcEntropyCoderIf->codeDBBPFlag( pcCU, uiAbsPartIdx );
-#if HHI_MOVE_SYN_K0052
-  }
-#endif
+  }
 }
 #endif
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncEntropy.h	(revision 1185)
@@ -82,10 +82,6 @@
   virtual Void codeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
   virtual Void codeSkipFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   virtual Void codeDIS          ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
-#else
-#if H_3D_SINGLE_DEPTH
-  virtual Void codeSingleDepthMode      ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
-#endif
 #endif
   virtual Void codeMergeFlag     ( TComDataCU* pcCU, UInt uiAbsPartIdx ) = 0;
@@ -179,10 +175,6 @@
   Void encodeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
   Void encodeSkipFlag          ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void encodeDIS               ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD=false );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void encodeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD=false );
-#endif
 #endif
   Void encodePUWise       ( TComDataCU* pcCU, UInt uiAbsPartIdx, Bool bRD = false );
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncGOP.cpp	(revision 1185)
@@ -395,9 +395,5 @@
 Void TEncGOP::initGOP( Int iPOCLast, Int iNumPicRcvd, TComList<TComPic*>& rcListPic, TComList<TComPicYuv*>& rcListPicYuvRecOut, std::list<AccessUnit>& accessUnitsInGOP)
 {
-#if H_MV_ALIGN_HM_15
   xInitGOP( iPOCLast, iNumPicRcvd, rcListPic, rcListPicYuvRecOut, false );
-#else
-  xInitGOP( iPOCLast, iNumPicRcvd, rcListPic, rcListPicYuvRecOut );
-#endif
   m_iNumPicCoded = 0;
 }
@@ -885,5 +881,5 @@
     Int numDirectRefLayers = vps    ->getNumDirectRefLayers( getLayerId() ); 
 #endif
-#if HHI_INTER_COMP_PRED_K0052
+#if H_3D
     pcSlice->setIvPicLists( m_ivPicLists );         
 
@@ -893,4 +889,6 @@
     GOPEntry gopEntry      = m_pcCfg->getGOPEntry( (pcSlice->getRapPicFlag() && getLayerId() > 0) ? MAX_GOP : iGOPid );     
 #endif
+
+
     
     Bool interLayerPredLayerIdcPresentFlag = false; 
@@ -929,5 +927,4 @@
     assert( pcSlice->getNumActiveRefLayerPics() == gopEntry.m_numActiveRefLayerPics ); 
     
-#if HHI_INTER_COMP_PRED_K0052
 #if H_3D
     if ( m_pcEncTop->decProcAnnexI() )
@@ -962,5 +959,4 @@
     pcSlice->setMaxNumMergeCand      ( m_pcCfg->getMaxNumMergeCand()   + ( ( pcSlice->getMpiFlag( ) || pcSlice->getIvMvPredFlag( ) || pcSlice->getViewSynthesisPredFlag( )   ) ? 1 : 0 ));
 #endif
-#endif
 
     pcSlice->createInterLayerReferencePictureSet( m_ivPicLists, m_refPicSetInterLayer0, m_refPicSetInterLayer1 ); 
@@ -1009,12 +1005,4 @@
       }
     }
-#endif
-#if !HHI_INTER_COMP_PRED_K0052
-#if H_3D
-    pcSlice->setIvPicLists( m_ivPicLists );         
-#if H_3D_IV_MERGE    
-    assert( !m_pcEncTop->getIsDepth() || ( pcSlice->getTexturePic() != 0 ) );
-#endif    
-#endif
 #endif
 #if H_3D_IC
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.cpp	(revision 1185)
@@ -58,12 +58,7 @@
 , m_cCUSplitFlagSCModel       ( 1,             1,               NUM_SPLIT_FLAG_CTX            , m_contextModels + m_numContextModels, m_numContextModels )
 , m_cCUSkipFlagSCModel        ( 1,             1,               NUM_SKIP_FLAG_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 , m_cCUDISFlagSCModel         ( 1,             1,               NUM_DIS_FLAG_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
 , m_cCUDISTypeSCModel         ( 1,             1,               NUM_DIS_TYPE_CTX              , m_contextModels + m_numContextModels, m_numContextModels)
-#else
-#if H_3D_SINGLE_DEPTH
-, m_cCUSingleDepthFlagSCModel        ( 1,             1,               NUM_SINGLEDEPTH_FLAG_CTX             , m_contextModels + m_numContextModels, m_numContextModels)
-, m_cSingleDepthValueSCModel         ( 1,             1,               NUM_SINGLE_DEPTH_VALUE_DATA_CTX      , m_contextModels + m_numContextModels, m_numContextModels)
-#endif
 #endif
 , m_cCUMergeFlagExtSCModel    ( 1,             1,               NUM_MERGE_FLAG_EXT_CTX        , m_contextModels + m_numContextModels, m_numContextModels)
@@ -139,12 +134,7 @@
   
   m_cCUSkipFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SKIP_FLAG );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_cCUDISFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_FLAG );
   m_cCUDISTypeSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_TYPE );
-#else
-#if H_3D_SINGLE_DEPTH
-  m_cCUSingleDepthFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SINGLEDEPTH_FLAG );
-  m_cSingleDepthValueSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_SINGLE_DEPTH_VALUE_DATA );
-#endif
 #endif
   m_cCUMergeFlagExtSCModel.initBuffer    ( eSliceType, iQp, (UChar*)INIT_MERGE_FLAG_EXT);
@@ -224,12 +214,7 @@
       curCost  = m_cCUSplitFlagSCModel.calcCost       ( curSliceType, qp, (UChar*)INIT_SPLIT_FLAG );
       curCost += m_cCUSkipFlagSCModel.calcCost        ( curSliceType, qp, (UChar*)INIT_SKIP_FLAG );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
       curCost += m_cCUDISFlagSCModel.calcCost         ( curSliceType, qp, (UChar*)INIT_DIS_FLAG );
       curCost += m_cCUDISTypeSCModel.calcCost         ( curSliceType, qp, (UChar*)INIT_DIS_TYPE );
-#else
-#if H_3D_SINGLE_DEPTH
-      curCost += m_cCUSingleDepthFlagSCModel.calcCost        ( curSliceType, qp, (UChar*)INIT_SINGLEDEPTH_FLAG );
-      curCost += m_cSingleDepthValueSCModel.calcCost         ( curSliceType, qp, (UChar*)INIT_SINGLE_DEPTH_VALUE_DATA );
-#endif
 #endif
       curCost += m_cCUMergeFlagExtSCModel.calcCost    ( curSliceType, qp, (UChar*)INIT_MERGE_FLAG_EXT);
@@ -302,12 +287,7 @@
   
   m_cCUSkipFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SKIP_FLAG );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   m_cCUDISFlagSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_FLAG );
   m_cCUDISTypeSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_DIS_TYPE );
-#else
-#if H_3D_SINGLE_DEPTH
-  m_cCUSingleDepthFlagSCModel.initBuffer        ( eSliceType, iQp, (UChar*)INIT_SINGLEDEPTH_FLAG );
-  m_cSingleDepthValueSCModel.initBuffer         ( eSliceType, iQp, (UChar*)INIT_SINGLE_DEPTH_VALUE_DATA );
-#endif
 #endif
   m_cCUMergeFlagExtSCModel.initBuffer    ( eSliceType, iQp, (UChar*)INIT_MERGE_FLAG_EXT);
@@ -466,6 +446,5 @@
   m_pcBinIf->encodeBinsEP( bins, numBins );
 }
-
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
 Void TEncSbac::codeDIS( TComDataCU* pcCU, UInt uiAbsPartIdx )
 {
@@ -498,38 +477,5 @@
   }
 }
-#else
-#if H_3D_SINGLE_DEPTH
-Void TEncSbac::codeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx )
-{
-  UInt uiSymbol = pcCU->getSingleDepthFlag(uiAbsPartIdx ) ? 1 : 0;
-  m_pcBinIf->encodeBin( uiSymbol, m_cCUSingleDepthFlagSCModel.get( 0, 0, 0 ) );
-  if(uiSymbol)
-  {
-    UInt uiUnaryIdx = (UInt) pcCU->getSingleDepthValue(uiAbsPartIdx);
-    UInt uiNumCand = SINGLE_DEPTH_MODE_CAND_LIST_SIZE;
-    if ( uiNumCand > 1 )
-    {
-      for( UInt ui = 0; ui < uiNumCand - 1; ++ui )
-      {
-        const UInt uiSymbol2 = ui == uiUnaryIdx ? 0 : 1;
-        if ( ui==0 )
-        {
-          m_pcBinIf->encodeBin( uiSymbol2, m_cSingleDepthValueSCModel.get( 0, 0, 0 ) );
-        }
-        else
-        {
-          m_pcBinIf->encodeBinEP( uiSymbol2 );
-        }
-        if( uiSymbol2 == 0 )
-        {
-          break;
-        }
-      }
-    }
-  }
-}
-#endif
-#endif
-
+#endif
 /** Coding of coeff_abs_level_minus3
  * \param uiSymbol value of coeff_abs_level_minus3
Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.h
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 1184)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSbac.h	(revision 1185)
@@ -146,10 +146,6 @@
   Void codeCUTransquantBypassFlag( TComDataCU* pcCU, UInt uiAbsPartIdx );
   Void codeSkipFlag      ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   Void codeDIS           ( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#else
-#if H_3D_SINGLE_DEPTH
-  Void codeSingleDepthMode( TComDataCU* pcCU, UInt uiAbsPartIdx );
-#endif
 #endif
   Void codeMergeFlag     ( TComDataCU* pcCU, UInt uiAbsPartIdx );
@@ -219,12 +215,7 @@
   ContextModel3DBuffer m_cCUSplitFlagSCModel;
   ContextModel3DBuffer m_cCUSkipFlagSCModel;
-#if SEC_DEPTH_INTRA_SKIP_MODE_K0033
+#if H_3D
   ContextModel3DBuffer m_cCUDISFlagSCModel;
   ContextModel3DBuffer m_cCUDISTypeSCModel;
-#else
-#if H_3D_SINGLE_DEPTH
-  ContextModel3DBuffer m_cCUSingleDepthFlagSCModel;
-  ContextModel3DBuffer m_cSingleDepthValueSCModel;
-#endif
 #endif
   ContextModel3DBuffer m_cCUMergeFlagExtSCModel;
